org.eclipse.cdt.core.dom.ast

## Interface IFunctionType

All Superinterfaces:
  java.lang.Cloneable, IType

All Known Subinterfaces:
  ICPPFunctionType

    public interface IFunctionType
    extends IType

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IType

`EMPTY_TYPE_ARRAY, TYPE_MATCHER`

### Method Summary

All Methods Instance Methods Abstract Methods
`IType[]` `getParameterTypes()` Returns the adjusted parameter types ISO C99 6.7.5.3, ISO C++98 8.3.4-3
`IType` `getReturnType()` Returns the return type of this function type
`boolean` `takesVarArgs()` Whether the function type takes variable number of arguments.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IType

`clone, isSameType`

### Method Detail

#### getReturnType

    IType getReturnType()

Returns the return type of this function type

#### getParameterTypes

    IType[] getParameterTypes()

Returns the adjusted parameter types ISO C99 6.7.5.3, ISO C++98 8.3.4-3

#### takesVarArgs

    boolean takesVarArgs()

Whether the function type takes variable number of arguments.

Since:
  5.10